#view-createWallet {

  #generate {
    margin-top: 50px;
    margin-bottom: 50px;
    margin: auto;
    width: 80%;
  }

  #percentagedone {
    font-weight: $bold;
    color: $primary-color;
    margin: 40px 0 0;
    @include font-size(28);
  }

  #seedpooldisplay {
    margin: auto;
    width: 70%;
    word-wrap:break-word;
    background: -webkit-linear-gradient($darker-grey, white);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }

  .seedpoint {
    position: fixed;
    display: block;
    width: 5px;
    height: 5px;
    background: $secondary-color;
    z-index: 2147483647;
    @include opacity(0.3);
  }
    
  #createWalletFormContent {
    @include breakpoint(small) { height: 500px; }
    @include breakpoint(medium) {
      left: 50%;
      width: 800px;
      margin-left: -400px;
      overflow-y: auto;
    }
  }

  // -------------------------------------------------------------------
  // -- Modal height fix  ----------------------------------------------
  // -------------------------------------------------------------------

  /* First screen */
  @media (max-height: 322px) {
    #createWalletFormContent h2 {
      margin-top: 0;
    }
  }
}

//
// global .createWalletForm for all createWallet related views
//

.createWalletForm {
  position: absolute;
  padding: 24px;
  top: 0;
  left: 0;
  background: #fff;
  z-index: 2147483669;
  text-align:center;
  overflow-y: auto;
  max-height: 100vh;
  min-height: 100%;
  overflow-y: auto;

  h2 {
    margin-top: 16px;
  }

  @include breakpoint(small) {
    padding: 32px;
    top: 8%;
    left: 50%;
    width: 584px;
    height: unset;
    min-height: unset;
    max-height: 88%;
    margin-left: -292px;
    @include border-radius();
  }
  .pure-button {
    margin-top: 24px;
    width: 100%;
  }
}
